class Compiler:
    def __init__(self, src):
        self.__src = src
        self.__toks = {
            "FIND": "confc.find",
            "SET": "confc.set",
            "GET": "confc.get",
            "INIT": "confc.init",
            "CONFIGURE": "confc.configure",
            "LINUX": "confc.LINUX",
            "DARWIN": "confc.DARWIN",
            "WINDOWS": "confc.WINDOWS",
            "UNIX": "confc.UNIX",
            "&&": "and",
            "||": "or",
            "!": "not",
        }

        self.__header = "#!/usr/bin/env python3\nimport confc\n\n"

    @property
    def src(self):
        return self.__src

    @src.setter
    def src(self, src):
        self.__src = src

    @property
    def tokens(self):
        return self.__toks

    @property
    def header(self):
        return self.__header

    def compile(self):
        dst = f"{self.__src}"

        for k, v in self.__toks.items():
            dst = dst.replace(k, v)

        dst = f"{self.__header}{dst}"

        return dst
