import pathlib
import setuptools

if __name__ == "__main__":
    py_modules = ["confc"]
    packages = [
        "autoconfc",
        "autoconfc.cli",
    ]
    install_requires = []

    readme_path = pathlib.Path(__file__).parent / "README.md"
    readme_text = readme_path.read_text()

    setuptools.setup(
        name="pyconfc",
        version="1.7.5",
        author="maDeveloper",
        description="A simple utility to configure GNU/Make files",
        long_description=readme_text,
        long_description_content_type="text/markdown",
        url="https://github.com/sahdjfg/pyconfc",
        py_modules=py_modules,
        packages=packages,
        install_requires=install_requires,
        license="Apache License 2.0",
        entry_points={
            "console_scripts": [
                "autoconfc = autoconfc.cli.main:main",
            ],
        },
        classifiers=[
            "Programming Language :: Python :: 3",
            "License :: OSI Approved :: Apache Software License",
            "Operating System :: OS Independent",
            "Topic :: Software Development :: Build Tools",
            "Intended Audience :: Developers",
        ],
    )
